{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-@l10n/it/products/sms/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":["admonition"]},"type":"markdown"},"seo":{"title":"Check the message status","description":"Integration and usage documentation."},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"check-the-message-status","__idx":0},"children":["Check the message status"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use these endpoints to retrieve the delivery status of sent messages.",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"Before making requests, ensure you have configured ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/it/products/sms/enterprise-documentation/developer-documentation/authentication-api-status"},"children":["authentication"]},"."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Endpoint"},"children":["Endpoint"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Use when"},"children":["Use when"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#get-message-status-by-message-id"},"children":["Get by message ID"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["You have the message ID returned by the send API"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#get-latest-messages-by-phone-number"},"children":["Get by phone number"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["You want the history of messages sent to a number"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#get-latest-messages-by-reference-key"},"children":["Get by reference key"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["You want to track messages by your own reference key"]}]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["For the full technical reference, see the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/it/products/sms/openapi-api-status"},"children":["OpenAPI specification"]},"."]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"info"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/it/products/sms/enterprise-documentation/developer-documentation/wb/wb-how"},"children":["webhooks"]}," for real-time status updates (push)."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"response-structure","__idx":1},"children":["Response structure"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["All three endpoints return the same response structure. For the list endpoints (",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/phonenumber"]}," and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/reference"]},"), the response is wrapped in a ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["messages"]}," array; each item contains a ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["message"]}," object with the fields below."]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},": Message identifier"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["providerAcceptanceAt"]}]},": Timestamp when the message was accepted by the provider (ISO 8601). Corresponds to the initial ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PROVIDER_ACCEPTANCE"]}," status"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["statusChangedAt"]}]},": Timestamp of the most recent status change (ISO 8601)"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["reference"]}]},": Reference object from the send request. May be empty ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{}"]}," if no reference was provided. See ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/it/products/sms/enterprise-documentation/developer-documentation/integration-guide/attribute-reference"},"children":["Reference Attribute"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["channel"]}]},": Delivery channel — ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SMS"]}," or ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["RCS"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["status"]}]},": Current delivery status. See ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/it/products/sms/enterprise-documentation/developer-documentation/wb/wb-how#status-transition-diagram"},"children":["Status transitions"]},". Possible values:",{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PROVIDER_ACCEPTANCE"]}," — request accepted by the provider (initial state)"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SENT"]}," — sent by the provider"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DELIVERED"]}," — delivered to the handset"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["REJECTED"]}," — rejected by the provider (not sent)"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["UNDELIVERED"]}," — failed to deliver"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["READ"]}," — (RCS only) read by recipient"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["provider"]}]},": Provider information",{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["name"]}]},": Provider name"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},": Provider's message identifier"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["status"]}]},": Provider-specific status"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["code"]}]},": Provider status/error code"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["message"]}]},": Optional provider error details (e.g. ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Number Blocked by Carrier"]},")"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["sms"]}]},":",{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["segments"]}]},": Number of SMS segments used. Messages exceeding 160 characters (GSM-7) or 70 characters (UCS-2) are split into multiple segments"]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"authentication-errors","__idx":2},"children":["Authentication errors"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["All endpoints require a valid API key. Authentication failures return HTTP 401."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"HTTP Status"},"children":["HTTP Status"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Error code"},"children":["Error code"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Error type"},"children":["Error type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Solution"},"children":["Solution"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["401"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["2"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Empty or missing api-key"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The API key is missing or invalid. See ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/it/products/sms/enterprise-documentation/developer-documentation/authentication-api-status"},"children":["Authentication"]}]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"get-message-status-by-message-id","__idx":3},"children":["Get message status by message ID"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Retrieves the delivery status for a specific message."]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"info"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["If the message ID is not found, the endpoint returns HTTP 404."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"endpoint","__idx":4},"children":["Endpoint"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/messagestatus/{messageid}\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"headers","__idx":5},"children":["Headers"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Name"},"children":["Name"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["X-Api-Key"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["API key for the account. See ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/it/products/sms/enterprise-documentation/developer-documentation/authentication-api-status"},"children":["Authentication"]},"."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"path-parameters","__idx":6},"children":["Path parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["messageid"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Message identifier (UUID format)"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-example","__idx":7},"children":["Request example"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/messagestatus/011d9d6e-b5b9-4cb9-be13-2bc336a923ce\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-examples","__idx":8},"children":["Response examples"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["200 — Message status"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"message\": {\n    \"id\": \"011d9d6e-b5b9-4cb9-be13-2bc336a923ce\",\n    \"providerAcceptanceAt\": \"2026-02-04T06:54:35Z\",\n    \"statusChangedAt\": \"2026-02-04T06:54:55Z\",\n    \"reference\": {\n      \"service\": \"DIGITALSIGN\",\n      \"action\": \"AUTH\",\n      \"key\": \"EXT_KEY\"\n    },\n    \"channel\": \"SMS\",\n    \"status\": \"DELIVERED\",\n    \"provider\": {\n      \"name\": \"PROVIDER1\",\n      \"id\": \"bbe7a7b4-067b-484e-a55c-318f5716997e\",\n      \"status\": \"delivered\",\n      \"code\": \"0\"\n    },\n    \"sms\": {\n      \"segments\": 1\n    }\n  }\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"error-codes","__idx":9},"children":["Error codes"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"HTTP Status"},"children":["HTTP Status"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Error code"},"children":["Error code"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Error type"},"children":["Error type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Solution"},"children":["Solution"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["404"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["1"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Message not found"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The message ID does not exist"]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"get-latest-messages-by-phone-number","__idx":10},"children":["Get latest messages by phone number"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Retrieves the delivery status of the latest messages sent to a given phone number."]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"info"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["If no messages are found, the endpoint returns HTTP 200 with an empty array: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{\"messages\": []}"]},"."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"endpoint-1","__idx":11},"children":["Endpoint"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/messagestatus/phonenumber/{phonenumber}\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"headers-1","__idx":12},"children":["Headers"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Name"},"children":["Name"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["X-Api-Key"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["API key for the account. See ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/it/products/sms/enterprise-documentation/developer-documentation/authentication-api-status"},"children":["Authentication"]},"."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"path-parameters-1","__idx":13},"children":["Path parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["phonenumber"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Phone number in E.164 format (e.g. ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["+390000000000"]},")"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"query-parameters","__idx":14},"children":["Query parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["count"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maximum number of messages to return. Range: 1–100. Default: 50. Values above 100 are silently capped"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["sendDate"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Filter messages sent before this timestamp. Format: ISO 8601 (e.g. ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["2026-12-31T23:59:59Z"]},"). Default: current time"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-example-1","__idx":15},"children":["Request example"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/messagestatus/phonenumber/+390000000000?count=1&sendDate=2026-12-31T23:59:59Z\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-examples-1","__idx":16},"children":["Response examples"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["200 — Messages list"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"messages\": [\n    {\n      \"message\": {\n        \"id\": \"011d9d6e-b5b9-4cb9-be13-2bc336a923ce\",\n        \"providerAcceptanceAt\": \"2026-02-04T06:54:35Z\",\n        \"statusChangedAt\": \"2026-02-04T06:54:55Z\",\n        \"reference\": {\n          \"service\": \"DIGITALSIGN\",\n          \"action\": \"AUTH\",\n          \"key\": \"EXT_KEY\"\n        },\n        \"channel\": \"SMS\",\n        \"status\": \"DELIVERED\",\n        \"provider\": {\n          \"name\": \"PROVIDER1\",\n          \"id\": \"bbe7a7b4-067b-484e-a55c-318f5716997e\",\n          \"status\": \"delivered\",\n          \"code\": \"0\"\n        },\n        \"sms\": {\n          \"segments\": 1\n        }\n      }\n    }\n  ]\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Each item in ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["messages"]}," contains a ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["message"]}," object with the fields described in ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#response-structure"},"children":["Response structure"]},"."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"get-latest-messages-by-reference-key","__idx":17},"children":["Get latest messages by reference key"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Retrieves the delivery status of the latest messages associated with the external key specified in the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["reference.key"]}," parameter of the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/it/products/sms/enterprise-documentation/developer-documentation/api-references/services-send"},"children":["send"]}," API."]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"info"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["If no messages are found, the endpoint returns HTTP 200 with an empty array: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{\"messages\": []}"]},"."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"endpoint-2","__idx":18},"children":["Endpoint"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/messagestatus/reference/{referencekey}\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"headers-2","__idx":19},"children":["Headers"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Name"},"children":["Name"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["X-Api-Key"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["API key for the account. See ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/it/products/sms/enterprise-documentation/developer-documentation/authentication-api-status"},"children":["Authentication"]},"."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"path-parameters-2","__idx":20},"children":["Path parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["referencekey"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["External reference key"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"query-parameters-1","__idx":21},"children":["Query parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["count"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maximum number of messages to return. Range: 1–100. Default: 50. Values above 100 are silently capped"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["sendDate"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Filter messages sent before this timestamp. Format: ISO 8601 (e.g. ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["2026-12-31T23:59:59Z"]},"). Default: current time"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-example-2","__idx":22},"children":["Request example"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/messagestatus/reference/user-12345-verification?count=2&sendDate=2026-12-31T23:59:59Z\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-examples-2","__idx":23},"children":["Response examples"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["200 — Messages list"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"messages\": [\n    {\n      \"message\": {\n        \"id\": \"011d9d6e-b5b9-4cb9-be13-2bc336a923ce\",\n        \"providerAcceptanceAt\": \"2026-02-04T06:54:35Z\",\n        \"statusChangedAt\": \"2026-02-04T06:54:55Z\",\n        \"reference\": {\n          \"service\": \"DIGITALSIGN\",\n          \"action\": \"AUTH\",\n          \"key\": \"EXT_KEY\"\n        },\n        \"channel\": \"SMS\",\n        \"status\": \"DELIVERED\",\n        \"provider\": {\n          \"name\": \"PROVIDER1\",\n          \"id\": \"bbe7a7b4-067b-484e-a55c-318f5716997e\",\n          \"status\": \"delivered\",\n          \"code\": \"0\"\n        },\n        \"sms\": {\n          \"segments\": 1\n        }\n      }\n    }\n  ]\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Each item in ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["messages"]}," contains a ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["message"]}," object with the fields described in ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#response-structure"},"children":["Response structure"]},"."]}]},"headings":[{"value":"Check the message status","id":"check-the-message-status","depth":1},{"value":"Response structure","id":"response-structure","depth":2},{"value":"Authentication errors","id":"authentication-errors","depth":2},{"value":"Get message status by message ID","id":"get-message-status-by-message-id","depth":2},{"value":"Endpoint","id":"endpoint","depth":4},{"value":"Headers","id":"headers","depth":4},{"value":"Path parameters","id":"path-parameters","depth":4},{"value":"Request example","id":"request-example","depth":4},{"value":"Response examples","id":"response-examples","depth":4},{"value":"Error codes","id":"error-codes","depth":4},{"value":"Get latest messages by phone number","id":"get-latest-messages-by-phone-number","depth":2},{"value":"Endpoint","id":"endpoint-1","depth":4},{"value":"Headers","id":"headers-1","depth":4},{"value":"Path parameters","id":"path-parameters-1","depth":4},{"value":"Query parameters","id":"query-parameters","depth":4},{"value":"Request example","id":"request-example-1","depth":4},{"value":"Response examples","id":"response-examples-1","depth":4},{"value":"Get latest messages by reference key","id":"get-latest-messages-by-reference-key","depth":2},{"value":"Endpoint","id":"endpoint-2","depth":4},{"value":"Headers","id":"headers-2","depth":4},{"value":"Path parameters","id":"path-parameters-2","depth":4},{"value":"Query parameters","id":"query-parameters-1","depth":4},{"value":"Request example","id":"request-example-2","depth":4},{"value":"Response examples","id":"response-examples-2","depth":4}],"frontmatter":{"markdown":{"toc":{"depth":3}},"seo":{"title":"Check the message status"}},"lastModified":"2026-03-25T11:36:56.000Z","isTranslationFallback":true,"pagePropGetterError":{"message":"","name":""}},"slug":"/it/products/sms/enterprise-documentation/developer-documentation/api-references/apistatus-messagestatus","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}